function Create(self)
    print("CREATED: " .. self.PresetName);
    self.testTimer = Timer();
end

function Destroy(self)
    print("DESTROYED: " .. self.PresetName);
end

function Update(self)
    if self.testTimer:IsPastSimMS(2000) then
        self.Vel = self.Vel + Vector(0, -1);
    end
end